<?php

namespace General\Requests;


class QueryReportRequest extends Request
{
    public function rules()
    {
        return [
            'begin_time' => 'date',
            'end_time' => 'date|after_or_equal:begin_time',
            'uid' => 'integer',
            'send_order_id' => 'integer|exists:qapp_send_orders:send_order_id',
            'adid' => 'string',
            'qapp_account' => 'string',
        ];
    }
}
